Bug 847388 - Load Cycle Count on the hard drive grows extremely fast
Load Cycle Count on the hard drive grows extremely fast
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 16:22 EDT by Lev Shamardin
Modified: 2014-05-03 18:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:45:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Load Cycles Count before and after upgrade (17.91 KB, image/png)
2012-08-10 16:22 EDT, Lev Shamardin
no flags Details

  None (edit)
Description Lev Shamardin 2012-08-10 16:22:33 EDT
Created attachment 603625 [details]
Load Cycles Count before and after upgrade

Short description:

I upgraded to Fedora 17 from Fedora 14 about a week ago. I always monitor the Load Cycle Count on my machines. After the upgrade load cycle count started to grow extremely fast (see attached plot). Tried different hdparm options with no success.

More details:

My current hard drive is a Western Digital WDC WD7500BPKT-00PK4T0. For a long time and with different hard drives I used these options to lower the load cycles count growth:

hdparm -B 160 /dev/sda # used on battery
hdparm -B 254 /dev/sda # used on AC power

Before the upgrade I had Fedora 14 with kernel-2.6.35.14-106.fc14.x86_64. After the upgrade I noticed the highly increased growth rate of load cycle count (and also it makes noise when parking the heads). I tried `hdparm -B 255', `hdparm -S 242', but even with these options the hard drive tries to park the heads at least once evey 20-30 minutes. With previous distribution and kernel version with `hdparm -B 254' I had basically one load cycle per one power cycle.

It seems like something is terribly broken now in the hard drive power management land now. Can you please suggest a fix?
Comment 1 Fedora End Of Life 2013-07-03 19:30:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Justin M. Forbes 2014-01-03 17:11:45 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2014-03-10 10:45:02 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 4 Joachim Frieben 2014-05-03 18:04:18 EDT
On a ThinkPad T400 with a Hitachi HTS723216L9SA60 disk which is only used a few hours per day , the load cycle count has increased from 169.000 to 267.000 in less than three months which amounts to about 1.200 load cycles per day which I find a lot. However, 'hdparm -B /dev/sda' returns the default setting

  /dev/sda:
   APM_level	= 128

which I supposed to be a rather conservative setting. During the indicated period of time, current Fedora 20 or the latest Fedora 21 development tree was installed. The current kernel is kernel-3.14.2-200.fc20.

This is still an issue; therefore, reopen the bug, please. Thanks!

Note You need to log in before you can comment on or make changes to this bug.